# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class ChannelEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ChannelEntry>
                  com.google.gdata.data.youtube.ChannelEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ChannelEntry

extends BaseEntry<ChannelEntry>

An atom entry containing a channel.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static java.lang.String[]` `CATEGORIES` Nonstandard categories that might be found in this entry.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ChannelEntry()`

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the `ExtensionDescription` of each `Extension` expected by the implementing `ExtensionPoint` in the target profile.
`java.lang.String` `getChannelType()` Returns the term of the channel type category.
`Link` `getFeaturedVideoLink()` Returns a link to the featured video of the user's profile.
`FeedLink<?>` `getUploadsFeedLink()` Returns a link to the user uploads feed.
`void` `setChannelType(java.lang.String channelTypeTerm)` Set channel type of category tag.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATEGORIES

    public static final java.lang.String[] CATEGORIES

  Nonstandard categories that might be found in this entry.

Constructor Detail

### ChannelEntry

    public ChannelEntry()

Method Detail

### getChannelType

    public java.lang.String getChannelType()

  Returns the term of the channel type category. If no category with scheme channel type is found, null is returned.

  Returns:
    term of the category with the channel type scheme.

### setChannelType

    public void setChannelType(java.lang.String channelTypeTerm)

  Set channel type of category tag.

  Parameters:
    `channelTypeTerm` - If null, the channel type category is removed.

### getUploadsFeedLink

    public FeedLink<?> getUploadsFeedLink()

  Returns a link to the user uploads feed.

### getFeaturedVideoLink

    public Link getFeaturedVideoLink()

  Returns a link to the featured video of the user's profile.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares the `ExtensionDescription` of each `Extension` expected by the implementing `ExtensionPoint` in the target profile.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`